task_group.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "task.h"`
`#include "tbb_exception.h"`
`#include "internal/_template_helpers.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for task_group.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::internal::task_handle_task< F >
class | tbb::task_handle< F >
class | tbb::internal::task_handle_task< F >
class | tbb::internal::task_group_base
class | tbb::internal::task_group_base::ref_count_guard
class | tbb::task_group
class | tbb::structured_task_group

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_task_group_H_include_area

## Enumerations

enum | tbb::task_group_status { tbb::not_complete, tbb::complete, tbb::canceled }

## Functions

bool | tbb::is_current_task_group_canceling ()
template<class F >
task_handle< typename internal::strip< F >::type > | tbb::make_task (F &&f)

## Macro Definition Documentation

## __TBB_task_group_H_include_area

#define __TBB_task_group_H_include_area

Definition at line 20 of file task_group.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.